Subject: Re: bug#43479: Generated files ’doc/os-conf-*.texi’ and “make“

From: zimoun <[email-masked]>
Date: Fri, 25 Sep 2020 15:43:10 +0200

Hi,

On Sat, 19 Sep 2020 at 11:35, Ludovic Courtès <[email-masked]> wrote:
> zimoun <[email-masked]> skribis:
>
>>> The reason seems to be that:
>>>
>>> --8<---------------cut here---------------start------------->8---
>>> # Bundle this file so that makeinfo finds it in out-of-source-tree builds.
>>> BUILT_SOURCES        += $(OS_CONFIG_EXAMPLES_TEXI) $(TRANSLATED_INFO)
>>> EXTRA_DIST           += $(OS_CONFIG_EXAMPLES_TEXI) $(TRANSLATED_INFO)
>>> MAINTAINERCLEANFILES  = $(OS_CONFIG_EXAMPLES_TEXI) $(TRANSLATED_INFO)
>>> --8<---------------cut here---------------end--------------->8---
>>
>> Yah, I have tried to tweak a lot of stuff and it has always failed.
>> Simon's relationship with configure and Makefile.am: is complicated.
>> :-)
>> Well, since these files are only a hard copy of files in
>> gnu/system/examples/, does it make sense to simply symlink them and
>> remove the rule?
>
> You can try, but the comment above about out-of-source-tree builds
> suggests it won’t work.  :-)

Symbolic links do not work. :-)
Hard links fix my problem, but I am not sure that what we want.

> (That’s because .info is treated specially; namely, Info files are part
> of the distribution, so they are always built in the source tree.)

One easy fix is to add a copy in ‘./bootstrap’.  Yes, it is
unsatisfactory because a modification of
gnu/system/examples/<whatever>.tmpl will not regenerate the correct file
in doc/; note it is already the case now –if I understand correctly.

Cheers,
simon